<?php 
    if($_GET['add']=='add'){
	//注册网站域名转向  
	$sql = "INSERT INTO urlzf(siteid,url,ps,zhuanfa,go_url) VALUES ('NULL','{$_POST['url']}', '子站域名转向','YES','{$_POST['go_url']}')";
    $url = mysql_query($sql);	
	if($url && mysql_affected_rows()>0){
	    $html='<div class="tip">添加成功</div>
		<div class="mylink">
 <a href="?cid='.$_GET['cid'].'&">管理员后台</a><a href="?action=url&">域名转发</a>|
 <a href="../index.php?cid='.$_GET['cid'].'&">网站首页</a>
 </div>';
	}else{
	$html='<div class="tip">添加失败</div>
	<div class="mylink">
 <a href="?cid='.$_GET['cid'].'&">管理员后台</a><a href="?action=url&">域名转发</a>|
 <a href="../index.php?cid='.$_GET['cid'].'&">网站首页</a>
 </div>';
	   }
	}else{
	function urlzf(){
	     $sql="SELECT siteid,url,ps,zhuanfa,go_url FROM urlzf WHERE zhuanfa='YES'";
         $result=mysql_query($sql);      
	     if($result && mysql_num_rows($result)>0){
	     $i=0;
	     while(list($wsiteid,$url,$ps,$zhuanfa,$go_url)=mysql_fetch_row($result)){
	     $div = $num++%2 == 0?'line1':'line2';
	      $html.= '<div class="'.$div.'">[http://'.$url.'>>'.$go_url.']</div>';
	          }
	      }else{
	 $html = '此栏目暂无记录';
	    }
		return $html;
	
	}
	$html='<div class="title">域名转向设置</div>
	<div class="content">
	<form method="POST" action="?action=url&add=add&">
	      <div class="tip">注意，要转向的域名前请不要加HTTP://等，被指向的地址如果是站外地址请加http://.一定要注意，否则不能进行域名转发！</div>
	      请输入要转向的域名
	      <br><input type="text" name="url" value=""><br>
		  亲输入被指向的地址
		  <br><input type="text" name="go_url" value="">
		  <br><input type="submit" value="确认提交">
		  </form></div>
		  <div class="title">域名转发列表</div>
	'.urlzf().'
		  <div class="mylink">
 <a href="?cid='.$_GET['cid'].'&">管理员后台</a><a href="../index.php?cid='.$_GET['cid'].'&">网站首页</a>
 </div>';
	
	}
	?>